package com.ruoyi.project.sems.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.sems.domain.TSpecdevGl;
import com.ruoyi.project.sems.his.domain.TSpechiGl;
import org.springframework.web.multipart.MultipartFile;

/**
 * 特种设备锅炉台账Service接口
 *
 * @author ruoyi
 * @date 2021-07-21
 */
public interface ITSpecdevGlService extends IService<TSpecdevGl>
{
    /**
     * 查询特种设备锅炉台账
     *
     * @param id 特种设备锅炉台账ID
     * @return 特种设备锅炉台账
     */
    public TSpecdevGl selectTSpecdevGlById(Long id);

    /**
     * 查询特种设备锅炉台账列表
     *
     * @param tSpecdevGl 特种设备锅炉台账
     * @return 特种设备锅炉台账集合
     */
    public List<TSpecdevGl> selectTSpecdevGlList(TSpecdevGl tSpecdevGl);
    List<TSpecdevGl> selectTSpecdevGlListByYear(TSpecdevGl tSpecdevGl);
    /**
     * 新增特种设备锅炉台账
     *
     * @param tSpecdevGl 特种设备锅炉台账
     * @return 结果
     */
    public int insertTSpecdevGl(TSpecdevGl tSpecdevGl);

    /**
     * 修改特种设备锅炉台账
     *
     * @param tSpecdevGl 特种设备锅炉台账
     * @return 结果
     */
    public int updateTSpecdevGl(TSpecdevGl tSpecdevGl);

    /**
     * 批量删除特种设备锅炉台账
     *
     * @param ids 需要删除的特种设备锅炉台账ID
     * @return 结果
     */
    public int deleteTSpecdevGlByIds(Long[] ids);

    /**
     * 删除特种设备锅炉台账信息
     *
     * @param id 特种设备锅炉台账ID
     * @return 结果
     */
    public int deleteTSpecdevGlById(Long id);

    int updateTSpecdevGlByHi(TSpechiGl hientity);


    void duplicateTSpecdevGl();

    int importFiles(List<MultipartFile> files, String plantCode, String fileType, String toString) throws Exception;
}
